package Utils::Calc;
BEGIN{ push(@INC, $ENV{LOCAL_PERL_MODULES}); }
use Carp;
use warnings;
use strict;

###################################################
sub min {
    my $vals = shift;
    my $min  = $vals->[0];
    foreach my $val (@$vals){
	$min = $val if $val < $min;
    }
    return $min;
}

###################################################
sub max {
    my $vals = shift;
    my $max  = $vals->[0];
    foreach my $val (@$vals){
	$max = $val if $val > $max;
    }
    return $max;
}

###################################################
sub round {
    my $val = shift;
    my $col = shift;
    my $r   = 10**$col;
    my $a   = ($val>0) ? 0.5 : -0.5;
    return int($val*$r+$a)/$r;
}

1;
